package com.ruoyi.system.domain.vo;


import com.ruoyi.common.annotation.Excel;

public class ReportDto {
    @Excel(name = "班级")
    private String stuClass;
    @Excel(name = "学号")
    private String stuNumber;
    @Excel(name = "姓名")
    private String name;
    @Excel(name = "实验报告成绩")
    private Double trainingReportScore; //报告提交成绩
    @Excel(name = "实验操作成绩")
    private Double trainingOperationScore; //实验操作成绩
    @Excel(name = "总成绩")
    private Double scoreTotal; //总成绩
    @Excel(name = "报告名称")
    private String fileName; //上传报告名称
    private Long userId;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "ReportDto{" +
                "stuClass='" + stuClass + '\'' +
                ", stuNumber='" + stuNumber + '\'' +
                ", name='" + name + '\'' +
                ", reportSubmissionScore=" + trainingReportScore +
                ", trainingOperationScore=" + trainingOperationScore +
                ", scoreTotal=" + scoreTotal +
                ", fileName='" + fileName + '\'' +
                '}';
    }

    public String getStuClass() {
        return stuClass;
    }

    public void setStuClass(String stuClass) {
        this.stuClass = stuClass;
    }

    public String getStuNumber() {
        return stuNumber;
    }

    public void setStuNumber(String stuNumber) {
        this.stuNumber = stuNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getReportSubmissionScore() {
        return trainingReportScore;
    }

    public Double getTrainingReportScore() {
        return trainingReportScore;
    }

    public void setTrainingReportScore(Double trainingReportScore) {
        this.trainingReportScore = trainingReportScore;
    }

    public void setTrainingOperationScore(Double trainingOperationScore) {
        this.trainingOperationScore = trainingOperationScore;
    }

    public Double getTrainingOperationScore() {
        return trainingOperationScore;
    }


    public Double getScoreTotal() {
        return scoreTotal;
    }

    public void setScoreTotal(Double scoreTotal) {
        this.scoreTotal = scoreTotal;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public ReportDto() {
    }

    public ReportDto(String stuClass, String stuNumber, String name, Double trainingReportScore, Double trainingOperationScore, Double scoreTotal, String fileName) {
        this.stuClass = stuClass;
        this.stuNumber = stuNumber;
        this.name = name;
        this.trainingReportScore = trainingReportScore;
        this.trainingOperationScore = trainingOperationScore;
        this.scoreTotal = scoreTotal;
        this.fileName = fileName;
    }
}
